# Method Nettle.BlockCipher16()->CCM.State()->digest_size()

Method digest_size

  ``int(4..16)` digest_size()`

Description

  Default digest size.

  This function is used by digest() to determine the digest size if no argument was given.

Returns

  The default implementation returns the result from calling `global::digest_size()`, but overloading via inherit is supported, and may return any even number in the range `[4..16]`.

Note

  Note that the digest length is folded into the digest, so it doesn't simply imply a truncation.

See also

  digest(), `CCM::digest_size()`